<script lang="ts">
  import { onMount } from 'svelte';

  export let label: string,
    name: string,
    value: any = '',
    options: any[] = [];

  function handleClick(option: any) {
    value = option;
    input = option.name;
  }

  let input = value.name ?? '',
    isOpen = false;
</script>

<label class="mb-3 lg:mb-5 block text-xl space-y-1 cursor-pointer relative">
    <span class="mb-1 lg:mb-1.5">{label}</span>
    <input bind:value={input} {name} on:click={() => isOpen = !isOpen} on:change={() => value = input}>
    {#if options.length}
        {#if isOpen}
            <section
                class="absolute top-full left-0 right-0 bg-white border border-black rounded-3xl py-2 px-3 max-h-52 overflow-auto">
                {#each options as option}
                    <p
                        class="rounded-full py-2 px-3 hover:underline decoration-2 decoration-blue-700"
                        on:click={() => handleClick(option)}
                    >
                        {option.name}
                    </p>
                {/each}
            </section>
        {/if}
    {/if}
    <!--    <select class="w-full" {name}>-->
    <!--        <option></option>-->
    <!--    </select>-->
</label>

<style lang="postcss">
    input {
        @apply appearance-none transition duration-200 outline-none
        border-2 border-gray-300
        py-2 px-3 rounded-full w-full
        focus-within:border-blue-700 focus-within:bg-white;
    }
</style>